> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List supported blockchains



## OpenAPI

````yaml /api-reference/openapi.json get /v1/assets/blockchains
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Development server
security: []
tags: []
paths:
  /v1/assets/blockchains:
    get:
      tags:
        - Assets
      summary: List supported blockchains
      operationId: listSupportedBlockchains
      parameters:
        - name: isActive
          in: query
          required: false
          schema:
            type: boolean
            default: true
        - name: includeAssets
          in: query
          required: false
          schema:
            type: boolean
            default: false
        - name: slug
          in: query
          required: false
          schema:
            type: string
          description: Filter by blockchain slug
        - name: tokenStandard
          in: query
          required: false
          schema:
            type: string
          description: Filter by token standard (e.g., "ERC20", "BEP20")
        - name: name
          in: query
          required: false
          schema:
            type: string
          description: Filter by blockchain name
        - name: mainnet
          in: query
          required: false
          schema:
            type: boolean
          description: Filter by mainnet/testnet
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
          description: Number of items to skip
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
          description: Maximum number of items to return
      responses:
        '200':
          description: List of supported blockchains
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          description: Blockchain unique identifier
                          example: 8a864e95-4b86-423d-9ba4-f4e692ec121e
                        name:
                          type: string
                          description: Blockchain name
                          example: Base
                        slug:
                          type: string
                          description: Blockchain slug
                          example: base-mainnet
                        symbol:
                          type: string
                          description: Blockchain symbol
                          example: ETH
                        isActive:
                          type: boolean
                          description: Whether the blockchain is active
                          example: true
                        isEvmCompatible:
                          type: boolean
                          description: Whether the blockchain is EVM compatible
                          example: true
                        configurations:
                          type: object
                          nullable: true
                          description: Additional configuration data
                          example: null
                        chainId:
                          type: integer
                          description: Chain ID for EVM chains
                          example: 8453
                        logoUrl:
                          type: string
                          description: URL to blockchain logo
                          example: https://example.com/base-logo.png
                        tokenStandard:
                          type: string
                          description: Token standard
                          example: ERC20
                        createdAt:
                          type: string
                          format: date-time
                          description: Creation timestamp
                          example: '2023-04-28T14:44:06.397Z'
                        updatedAt:
                          type: string
                          format: date-time
                          description: Last update timestamp
                          example: '2024-11-26T15:26:18.785Z'
                  total:
                    type: integer
                    example: 10
                    description: Total number of blockchains matching the filter
                  hasMore:
                    type: boolean
                    example: false
                    description: Whether there are more results available
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '404':
          description: Wallet or asset not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````